Subject: Re: bug#30815: 26.0.91; unicode right single quote mark with syntax entry of w not respected by forward-word

From: Noam Postavsky <[email-masked]>
Date: Tue, 13 Mar 2018 21:11:19 -0400

unarchive 10494
close 30815
merge 30815 10494
quit

Aaron Jensen <[email-masked]> writes:

> Perhaps I'm doing something wrong or there's some setting I'm missing,
> but this doesn't appear to work as I'd expect.
>
> 1. emacs -Q
> 2. M-: (modify-syntax-entry ?’ "w" text-mode-syntax-table)
> 3. Type (note the unicode ’): doesn’t
> 4. Use M-b/M-f to get to the beginning of the line and back to the end
>
> Actual behavior:
>
> M-b and M-f stop at the ’ instead of bypassing it. Compare it to doing
> the same thing with ?_.
>
> Expected behavior:
>
> ’ is treated as part of the word and is skipped over by M-f and M-b

See `(elisp) Word Motion':

     Characters that belong to different scripts (as defined by
     `char-syntax-table'), also define a word boundary

and discussion in Bug#10494 which prompted the update of that section.

Hmm, I think I meant `char-script-table', as `char-syntax-table' doesn't
seem to exist...